Skip to content
Start here

Delete Queue

client.queues.delete(stringqueueId, QueueDeleteParams { account_id } params, RequestOptionsoptions?): QueueDeleteResponse { errors, messages, success }
DELETE/accounts/{account_id}/queues/{queue_id}

Deletes a queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
queueId: string

A Resource identifier.

maxLength32
params: QueueDeleteParams { account_id }
account_id: string

A Resource identifier.

maxLength32
ReturnsExpand Collapse
QueueDeleteResponse { errors, messages, success }
errors?: Array<ResponseInfo { code, message, documentation_url, source } >
minLength1
code: number
minimum1000
message: string
documentation_url?: string
source?: Source { pointer }
pointer?: string
messages?: Array<string>
success?: true

Indicates if the API call was successful or not.

Delete Queue

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const queue = await client.queues.delete('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(queue.errors);
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}